Subject: RE: To use or _NOT_ to use InstallShield?
From: [email-masked] (Robertson, Jason V)

9 May 1998 04:11:36 -0700
Message-ID: <4575832C8E71D111AC4100A0C96B51274B0D2E.cygnus.gnu-win32@FMSMSX36>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="ISO-8859-1"
Content-Transfer-Encoding: 8bit
To: "'Michael Lemke, Sternwarte Bamberg, Phone: +49-951-9522216'"
	 <[email-masked]>,
        [email-masked]
Cc: [email-masked]

I haven't checked myself if it currently does this for cdk.exe, but you
can make InstallShield print a list of what it's done.  I really don't
see any problem with using it personally.  I don't see a problem with
running winzip on a tar.gz file, either.

Either way works fine, but since everyone knows how to run cdk.exe and
not everyone knows winzip will handle .tar.gz files or everyone may not
even have winzip I see no reason not to use InstallShield.  Plus with
InstallShield you can add registry stuff if necessary.  I think
applications should be smart enough to do this on their own at runtime
if neccessary, though.  That way you can dump it on a client workstation
and it works with no installation hassles.

Anyway, I can't think of a single convincing argument not to use
InstallShield if it's done right.

Jason

> -----Original Message-----
> From:	Michael Lemke, Sternwarte Bamberg, Phone: +49-951-9522216
> [SMTP:[email-masked]]
> Sent:	Thursday, May 07, 1998 3:53 AM
> To:	[email-masked]
> Cc:	[email-masked];
> [email-masked]
> Subject:	RE: To use or _NOT_ to use InstallShield?
> 
> In a message of Wed, 6 May 1998 09:42:09 +0100
> Received on Thu, 07 May 1998 02:20:38 MET-1MET DST
> 
> Edward Avis <[email-masked]> wrote
> to: [email-masked]' <[email-masked]>
> 
> >It's true that to make good use of Cygwin32 you need to know
> something 
> >about filesystem structure etc.  However, I don't see how using 
> >InstallShield is a problem in itself.  If you can do something for
> the 
> >user, instead of having to provide instructions and let them do it 
> >themselves, then why not take the easy route?
> 
> Well, I don't know what InstallShield does, seriously.  But I do know
> what tar,zip etc do and how to reverse it.  I hate things done behind
> my back.  All these .exe files you don't know what's inside.
> Terrible.
> 
> 
> >
> >The installation, with the cygnus.bat placed in the start menu, lets
> the 
> >user test that everything is working in the "default" configuration
> before 
> >they go off and start changing things.
> 
> Fine.  But why not do this with a .bat file I can inspect before
> running
> it?  Then I know what I am doing.
> 
> >
> >As a final point, I am sure that this list would be clogged with many
> more 
> >"how to install this?" questions if Cygnus went back to the old .tgz
> file 
> >or whatever.
> >
> 
> Maybe.
> 
> So my vote is to do away with InstallShield.
> 
> Michael
> 
> 
> --
> Michael Lemke
> Sternwarte Bamberg, University of Erlangen-Nürnberg, Germany
> ([email-masked] or [email-masked])
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".